#include <cppunit/TestFixture.h>
#include <cppunit/TestCaller.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/extensions/HelperMacros.h>
#include "../synapseMatrix.h"


class SynapseMatrixTest : public CppUnit::TestFixture  {
      CPPUNIT_TEST_SUITE( SynapseMatrixTest );
      CPPUNIT_TEST( testInit );   // on enregistre les tests à faire dans l ordre
      CPPUNIT_TEST( testOperatorIndex );
      CPPUNIT_TEST( testOperatorAssign );
      CPPUNIT_TEST_SUITE_END();
private:
    SynapseMatrix* SynM1;// une matrice de synapse
    SynapseMatrix* SynM2;
public:
    void setUp();
    void tearDown();
    void testInit();
    void testOperatorIndex();
    void testOperatorAssign();
};
